
[[#if (hasPermission "forms:ldp:*")]]
  <bs-col sm=12 md=10 md-offset=1 >

    <semantic-search
      search-profile='{
        "categoriesQuery": "
          PREFIX ssp: <http://www.metaphacts.com/ontologies/platform/semantic-search-profile/>

          SELECT (ssp:Profile as ?profile) ?category ?label (?label as ?description) ?thumbnail WHERE {
            VALUES (?category ?label ?thumbnail ?order) {
              (sphaera:Book  \"Book\"  \"https://upload.wikimedia.org/wikipedia/commons/thumb/6/62/Book_icon_%28white_on_black%29.svg/240px-Book_icon_%28white_on_black%29.svg.png\" 1)
              (sphaera:Part  \"Part\"  \"https://cdn.rawgit.com/encharm/Font-Awesome-SVG-PNG/b7f74631/black/svg/file-text.svg\" 2)
              (sphaera:Part_Adaption  \"Adaption\"  \"https://cdn.rawgit.com/encharm/Font-Awesome-SVG-PNG/b7f74631/black/svg/file-text.svg\" 3)
              (efrbroo:F10_Person \"Person\" \"../images/fcs/actors.svg\" 4)
              (ecrm:E53_Place \"Place\"  \"../images/fcs/places.svg\" 5)
              (ecrm:E52_Time-Span \"Timeframe\" \"../images/fcs/events.svg\" 6)
              (ecrm:E56_Language \"Language\" \"../images/fcs/concepts.svg\" 7)
            }
          } ORDER BY ?order
        ",
        "relationsQuery": "
          PREFIX ssp: <http://www.metaphacts.com/ontologies/platform/semantic-search-profile/>
          PREFIX sphaeraRel: <http://ontologies.mpiwg-berlin.mpg.de/sphaera/relations/>
          SELECT (ssp:Profile as ?profile) ?relation ?label ?description ?hasDomain ?hasRange where {
            VALUES (?hasDomain ?relation ?hasRange ?label ?description) {
              ( sphaera:Book sphaeraRel:book-contains-original-or-adapted-part sphaera:Part  \"contains\" \"\" )
              ( sphaera:Book sphaeraRel:book-contains-fragment-of-original-part sphaera:Part  \"contains (original or fragment)\" \"excluding adaptions\")
              ( sphaera:Book sphaeraRel:book-contains-original-part sphaera:Part  \"contains (original)\" \"excluding fragments and adaptions\")
              ( sphaera:Book sphaeraRel:book-does-not-contain-original-or-adapted-part sphaera:Part  \"does not contain\" \"\" )

              ( sphaera:Book sphaeraRel:book-contains-adaption sphaera:Part_Adaption  \"contains\" \"\")

              ( sphaera:Book sphaeraRel:book-authored-by-person efrbroo:F10_Person  \"authored by\" \"\")
              ( sphaera:Book sphaeraRel:book-published-by-person efrbroo:F10_Person  \"published by\" \"\")
              ( sphaera:Book sphaeraRel:book-printed-by-person efrbroo:F10_Person  \"printed by\" \"\")
              ( sphaera:Book sphaeraRel:book-translated-by-person efrbroo:F10_Person  \"translated by\" \"\")
              ( sphaera:Book sphaeraRel:book-created-by-person efrbroo:F10_Person  \"created by\" \"\")
              ( sphaera:Book sphaeraRel:book-published-at-place ecrm:E53_Place \"published at\" \"\")
              ( sphaera:Book sphaeraRel:book-not-published-at-place ecrm:E53_Place \"not published at\" \"\")
              ( sphaera:Book sphaeraRel:book-published-between-time ecrm:E52_Time-Span \"published within\" \"\")
              ( sphaera:Book sphaeraRel:book-is-in-language ecrm:E56_Language \"is in\" \"\")

              ( sphaera:Part sphaeraRel:part-contained-in-book sphaera:Book  \"contained in\" \"\")
              ( sphaera:Part sphaeraRel:part-authored-by-person efrbroo:F10_Person  \"authored by\" \"\")

              ( sphaera:Part_Adaption sphaeraRel:adaption-contained-in-book sphaera:Book  \"contained in\" \"\")
              ( sphaera:Part_Adaption sphaeraRel:adaption-annotates-part sphaera:Part  \"annotates\" \"\")
              ( sphaera:Part_Adaption sphaeraRel:adaption-annotates-adaption-of-part sphaera:Part  \"annotates (adaption of)\" \"\")
              ( sphaera:Part_Adaption sphaeraRel:adaption-translates-part sphaera:Part  \"translates\" \"\")
              ( sphaera:Part_Adaption sphaeraRel:adaption-annotates-adaption sphaera:Part_Adaption  \"annotates\" \"\")
              ( sphaera:Part_Adaption sphaeraRel:adaption-translates-adaption sphaera:Part_Adaption  \"translates\" \"\")
              ( sphaera:Part_Adaption sphaeraRel:adaption-has-ancestor-adaption sphaera:Part  \"has ancestor\" \"\")
              ( sphaera:Part_Adaption sphaeraRel:adaption-created-by-person efrbroo:F10_Person  \"created by\" \"\")

              ( efrbroo:F10_Person sphaeraRel:person-author-of-book sphaera:Book  \"is author of\" \"\")
              ( efrbroo:F10_Person sphaeraRel:person-translator-of-book sphaera:Book  \"is translator of\" \"\")
              ( efrbroo:F10_Person sphaeraRel:person-publisher-of-book sphaera:Book  \"is publisher of\" \"\")
              ( efrbroo:F10_Person sphaeraRel:person-printer-of-book sphaera:Book  \"is printer of\" \"\")
              ( efrbroo:F10_Person sphaeraRel:person-creator-of-book sphaera:Book  \"is involved in creation of\" \"\")
              ( efrbroo:F10_Person sphaeraRel:person-co-author-person efrbroo:F10_Person  \"co-author of\" \"\")
              ( efrbroo:F10_Person sphaeraRel:person-related-to-person efrbroo:F10_Person  \"related to\" \"\")
              ( efrbroo:F10_Person sphaeraRel:person-author-of-part sphaera:Part  \"author of\" \"\")
              ( efrbroo:F10_Person sphaeraRel:person-creator-of-adaption sphaera:Part_Adaption  \"creator of\" \"\")

              ( ecrm:E53_Place sphaeraRel:place-is-publishing-place-of-book sphaera:Book  \"is publishing place of\" \"\")

              ( ecrm:E56_Language sphaeraRel:language-is-language-of-book sphaera:Book \"is language of\" \"\")
              ( ecrm:E56_Language sphaeraRel:language-is-used-to-translate-part sphaera:Part \"is used to translate\" \"\")

            }
          } ORDER BY ?label
        "
      }'

      categories='{
        "http://erlangen-crm.org/current/E52_Time-Span": [
          {
            "kind": "date-range"
          }
        ]
      }'

      relations='{
        "http://ontologies.mpiwg-berlin.mpg.de/sphaera/relations/book-contains-original-part": [{
          "kind": "resource",
          "queryPattern": "{ ?subject ecrm:P128_carries/ecrm:P165_incorporates/ecrm:P148_has_component ?__value__  }"
        }],

        "http://ontologies.mpiwg-berlin.mpg.de/sphaera/relations/book-contains-fragment-of-original-part": [{
          "kind": "resource",
          "queryPattern": "{ ?subject ecrm:P128_carries/ecrm:P165_incorporates/ecrm:P148_has_component/efrbroo:R15i_is_fragment_of? ?__value__  }"
        }],

        "http://ontologies.mpiwg-berlin.mpg.de/sphaera/relations/book-contains-original-or-adapted-part": [{
          "kind": "resource",
          "queryPattern": "{
            ?subject sphaera:book-contains-original-or-adapted-part ?__value__ .
          }"
        }],

        "http://ontologies.mpiwg-berlin.mpg.de/sphaera/relations/book-does-not-contain-original-or-adapted-part": [{
          "kind": "resource",
          "queryPattern": "{
            ?subject a sphaera:Book .
            FILTER NOT EXISTS { ?subject sphaera:book-contains-original-or-adapted-part ?__value__ }
          }"
        }],

        "http://ontologies.mpiwg-berlin.mpg.de/sphaera/relations/book-contains-adaption": [{
          "kind": "resource",
          "queryPattern": "{ ?subject ecrm:P128_carries/ecrm:P165_incorporates/ecrm:P148_has_component/[[> :queryPart]] ?__value__  }"
        }],

        "http://ontologies.mpiwg-berlin.mpg.de/sphaera/relations/book-authored-by-person": [{
          "kind": "resource",
          "queryPattern": "{
            ?subject ecrm:P128_carries/ecrm:P165_incorporates/efrbroo:R17i_was_created_by/ecrm:PC01_is_domain_of ?carried_out_by .
            ?carried_out_by ecrm:P14.1_in_the_role_of sphRole:author ;
            ecrm:PC02_has_range ?__value__
          }"
        }],
        "http://ontologies.mpiwg-berlin.mpg.de/sphaera/relations/book-published-by-person": [{
          "kind": "resource",
          "queryPattern": "{ ?subject ecrm:P128_carries/efrbroo:R24i_was_created_through/ecrm:PC01_is_domain_of/ecrm:PC02_has_range ?__value__  }"
        }],
        "http://ontologies.mpiwg-berlin.mpg.de/sphaera/relations/book-printed-by-person": [{
          "kind": "resource",
          "queryPattern": "{ ?subject efrbroo:R28i_was_produced_by/ecrm:PC01_is_domain_of/ecrm:PC02_has_range ?__value__  }"
        }],
        "http://ontologies.mpiwg-berlin.mpg.de/sphaera/relations/book-translated-by-person": [{
          "kind": "resource",
          "queryPattern": "{
            ?subject ecrm:P128_carries/ecrm:P165_incorporates/efrbroo:R17i_was_created_by/ecrm:PC01_is_domain_of ?carried_out_by .
            ?carried_out_by ecrm:P14.1_in_the_role_of sphRole:translator ;
            ecrm:PC02_has_range ?__value__
          }"
        }],
        "http://ontologies.mpiwg-berlin.mpg.de/sphaera/relations/book-created-by-person": [{
          "kind": "resource",
          "queryPattern": "{
              {
                ?__value__ ^ecrm:PC02_has_range ?carried_out_by .
                ?carried_out_by ecrm:P14.1_in_the_role_of sphRole:author;
                  ^ecrm:PC01_is_domain_of/^efrbroo:R17i_was_created_by/^ecrm:P165_incorporates/^ecrm:P128_carries ?subject .
              } UNION {
                ?__value__ ^ecrm:PC02_has_range ?carried_out_by .
                ?carried_out_by ecrm:P14.1_in_the_role_of sphRole:translator;
                  ^ecrm:PC01_is_domain_of/^efrbroo:R17i_was_created_by/^ecrm:P165_incorporates/^ecrm:P128_carries ?subject .
              } UNION {
                ?__value__ ^ecrm:PC02_has_range/^ecrm:PC01_is_domain_of/^efrbroo:R24i_was_created_through/^ecrm:P128_carries ?subject .
              } UNION {
                ?__value__ ^ecrm:PC02_has_range/^ecrm:PC01_is_domain_of/^efrbroo:R28i_was_produced_by ?subject .
              }
            }"
        }],
        "http://ontologies.mpiwg-berlin.mpg.de/sphaera/relations/book-published-at-place": [{
          "kind": "resource",
          "queryPattern": "{ ?subject  efrbroo:R7_is_example_of /^efrbroo:CLR6i_should_be_carried_by/efrbroo:R24i_was_created_through/ecrm:P7_took_place_at ?__value__   }"
        }],
        "http://ontologies.mpiwg-berlin.mpg.de/sphaera/relations/book-not-published-at-place": [{
          "kind": "resource",
          "queryPattern": "{ ?subject efrbroo:R7_is_example_of /^efrbroo:CLR6i_should_be_carried_by/efrbroo:R24i_was_created_through/ecrm:P7_took_place_at ?place
          FILTER(?place != ?__value__ )}"
        }],
        "http://ontologies.mpiwg-berlin.mpg.de/sphaera/relations/book-published-between-time": [{
          "kind": "date-range",
          "queryPattern": "{
             ?subject  ecrm:P128_carries/efrbroo:R24i_was_created_through/ecrm:P4_has_time-span ?date .
             ?date ecrm:P82a_begin_of_the_beginning ?begin ;
                   ecrm:P82b_end_of_the_end ?end .
             FILTER(?begin <= ?__dateEndValue__) .
             FILTER(?end >= ?__dateBeginValue__) .
           }"
        }],
        "http://ontologies.mpiwg-berlin.mpg.de/sphaera/relations/book-is-in-language": [{
          "kind": "resource",
          "queryPattern": "{ ?subject ecrm:P128_carries/ecrm:P165_incorporates/ecrm:P72_has_language ?__value__   }"
        }],

        "http://ontologies.mpiwg-berlin.mpg.de/sphaera/relations/part-contained-in-book": [{
          "kind": "resource",
          "queryPattern": "{
              ?subject a sphaera:Part .
              ?__value__ (ecrm:P128_carries/ecrm:P165_incorporates)/^ecrm:P140_assigned_attribute_to ?attribute_assignment .
              ?attribute_assignment ecrm:P141_assigned/[[> :queryPart]] ?subject .
              ?attribute_assignment ecrm:P141_assigned  ?assigned_part .
              ?assigned_part (efrbroo:R15i_is_fragment_of)?/ecrm:P2_has_type ?part_type .
              VALUES ?part_type { sphType:translation sphType:originalPart sphType:annotatedPart }
          }"
        }],
        "http://ontologies.mpiwg-berlin.mpg.de/sphaera/relations/part-authored-by-person": [{
          "kind": "resource",
          "queryPattern": "{
            ?subject a sphaera:Part;
              efrbroo:R17i_was_created_by/ecrm:PC01_is_domain_of/ecrm:PC02_has_range ?__value__
            }"
        }],


        "http://ontologies.mpiwg-berlin.mpg.de/sphaera/relations/adaption-contained-in-book": [{
          "kind": "resource",
          "queryPattern": "{
            ?subject a sphaera:Part_Adaption .
            ?__value__ ecrm:P128_carries/ecrm:P165_incorporates/ecrm:P148_has_component/[[> :queryPart]] ?subject .
          }"
        }],
        "http://ontologies.mpiwg-berlin.mpg.de/sphaera/relations/adaption-annotates-part": [{
          "kind": "resource",
          "queryPattern": "{ ?subject ecrm:P165_incorporates+ ?__value__ }"
        }],
        "http://ontologies.mpiwg-berlin.mpg.de/sphaera/relations/adaption-annotates-adaption-of-part": [{
          "kind": "resource",
          "queryPattern": "{
              ?subject ecrm:P165_incorporates+ ?incorporated_adaption .
              ?incorporated_adaption a ?type ;
                (efrbroo:R3i_realises/^efrbroo:R40i_is_representative_expression_for)* ?__value__.

              VALUES ( ?type ) {
                ( sphaera:Part )
                ( sphaera:Part_Adaption )
              }
            }"
        }],
        "http://ontologies.mpiwg-berlin.mpg.de/sphaera/relations/adaption-translates-part": [{
          "kind": "resource",
          "queryPattern": "{ ?subject ecrm:P165_incorporates/efrbroo:R3i_realises/^efrbroo:R40i_is_representative_expression_for ?__value__ }"
        }],

        "http://ontologies.mpiwg-berlin.mpg.de/sphaera/relations/adaption-annotates-adaption": [{
          "kind": "resource",
          "queryPattern": "{ ?subject ecrm:P165_incorporates ?__value__ }"
        }],
        "http://ontologies.mpiwg-berlin.mpg.de/sphaera/relations/adaption-translates-adaption": [{
          "kind": "resource",
          "queryPattern": "{ ?subject ecrm:P165_incorporates/efrbroo:R3i_realises/^efrbroo:R40i_is_representative_expression_for ?__value__ }"
        }],
        "http://ontologies.mpiwg-berlin.mpg.de/sphaera/relations/adaption-created-by-person": [{
          "kind": "resource",
          "queryPattern": "{
            ?subject a sphaera:Part_Adaption ;
              efrbroo:R17i_was_created_by/ecrm:PC01_is_domain_of/ecrm:PC02_has_range ?__value__
            }"
        }],

        "http://ontologies.mpiwg-berlin.mpg.de/sphaera/relations/person-author-of-book": [{
          "kind": "resource",
          "queryPattern": "{
            ?subject ^ecrm:PC02_has_range ?carried_out_by .
            ?carried_out_by ecrm:P14.1_in_the_role_of sphRole:author;
              ^ecrm:PC01_is_domain_of/^efrbroo:R17i_was_created_by/^ecrm:P165_incorporates/^ecrm:P128_carries ?__value__ .
            }"
        }],
        "http://ontologies.mpiwg-berlin.mpg.de/sphaera/relations/person-translator-of-book": [{
          "kind": "resource",
          "queryPattern": "{
            ?subject ^ecrm:PC02_has_range ?carried_out_by .
            ?carried_out_by ecrm:P14.1_in_the_role_of sphRole:translator;
              ^ecrm:PC01_is_domain_of/^efrbroo:R17i_was_created_by/^ecrm:P165_incorporates/^ecrm:P128_carries ?__value__ .
            }"
        }],
        "http://ontologies.mpiwg-berlin.mpg.de/sphaera/relations/person-publisher-of-book": [{
          "kind": "resource",
          "queryPattern": "{
            ?subject ^ecrm:PC02_has_range/^ecrm:PC01_is_domain_of/^efrbroo:R24i_was_created_through/^ecrm:P128_carries ?__value__ .
            }"
        }],
        "http://ontologies.mpiwg-berlin.mpg.de/sphaera/relations/person-printer-of-book": [{
          "kind": "resource",
          "queryPattern": "{
            ?subject ^ecrm:PC02_has_range/^ecrm:PC01_is_domain_of/^efrbroo:R28i_was_produced_by ?__value__ .
            }"
        }],
        "http://ontologies.mpiwg-berlin.mpg.de/sphaera/relations/person-creator-of-book": [{
          "kind": "resource",
          "queryPattern": "{
              {
                ?subject ^ecrm:PC02_has_range ?carried_out_by .
                ?carried_out_by ecrm:P14.1_in_the_role_of sphRole:author;
                  ^ecrm:PC01_is_domain_of/^efrbroo:R17i_was_created_by/^ecrm:P165_incorporates/^ecrm:P128_carries ?__value__ .
              } UNION {
                ?subject ^ecrm:PC02_has_range ?carried_out_by .
                ?carried_out_by ecrm:P14.1_in_the_role_of sphRole:translator;
                  ^ecrm:PC01_is_domain_of/^efrbroo:R17i_was_created_by/^ecrm:P165_incorporates/^ecrm:P128_carries ?__value__ .
              } UNION {
                ?subject ^ecrm:PC02_has_range/^ecrm:PC01_is_domain_of/^efrbroo:R24i_was_created_through/^ecrm:P128_carries ?__value__ .
              } UNION {
                ?subject ^ecrm:PC02_has_range/^ecrm:PC01_is_domain_of/^efrbroo:R28i_was_produced_by ?__value__ .
              }

            }"
        }],

        "http://ontologies.mpiwg-berlin.mpg.de/sphaera/relations/person-author-of-part": [{
          "kind": "resource",
          "queryPattern": "{
            ?subject ^ecrm:PC02_has_range/^ecrm:PC01_is_domain_of/^efrbroo:R17i_was_created_by ?__value__ .
            ?__value__ a sphaera:Part .
            }"
        }],
        "http://ontologies.mpiwg-berlin.mpg.de/sphaera/relations/person-creator-of-adaption": [{
          "kind": "resource",
          "queryPattern": "{
            ?subject ^ecrm:PC02_has_range/^ecrm:PC01_is_domain_of/^efrbroo:R17i_was_created_by ?__value__ .
            ?__value__ a sphaera:Part_Adaption .
            }"
        }],
        "http://ontologies.mpiwg-berlin.mpg.de/sphaera/relations/person-co-author-person": [{
          "kind": "resource",
          "queryPattern": "{
            {
              ?subject ^ecrm:PC02_has_range/^ecrm:PC01_is_domain_of ?expression_creation .
              ?expression_creation a efrbroo:F28_Expression_Creation ;
                ecrm:PC01_is_domain_of/ecrm:PC02_has_range ?__value__
            } UNION {
              ?subject ^ecrm:PC02_has_range/^ecrm:PC01_is_domain_of/^efrbroo:R17i_was_created_by/^ecrm:P148_has_component/efrbroo:R17i_was_created_by/ecrm:PC01_is_domain_of/ecrm:PC02_has_range ?__value__
            } UNION {
              ?subject ^ecrm:PC02_has_range/^ecrm:PC01_is_domain_of/^efrbroo:R17i_was_created_by/ecrm:P148_has_component/efrbroo:R17i_was_created_by/ecrm:PC01_is_domain_of/ecrm:PC02_has_range ?__value__
            } UNION {
              ?subject ^ecrm:PC02_has_range/^ecrm:PC01_is_domain_of/^efrbroo:R17i_was_created_by/^ecrm:P148_has_component/(^ecrm:P165_incorporates|^efrbroo:R15i_is_fragment_of)/efrbroo:R17i_was_created_by/ecrm:PC01_is_domain_of/ecrm:PC02_has_range ?__value__
            } UNION {
              ?subject ^ecrm:PC02_has_range/^ecrm:PC01_is_domain_of/^efrbroo:R17i_was_created_by/ecrm:P148_has_component/(^ecrm:P165_incorporates|^efrbroo:R15i_is_fragment_of)/efrbroo:R17i_was_created_by/ecrm:PC01_is_domain_of/ecrm:PC02_has_range ?__value__
            }

           }"
          }],

          "http://ontologies.mpiwg-berlin.mpg.de/sphaera/relations/person-related-to-person": [{
            "kind": "resource",
            "queryPattern": "{
              {
                ?attribute_assignment ecrm:P2_has_type sphType:relationshipAssignment ;
                  ecrm:P140_assigned_attribute_to ?subject ;
                  ecrm:P16_used_specific_object ?__value__ .
              } UNION {
                ?attribute_assignment ecrm:P2_has_type sphType:relationshipAssignment ;
                  ecrm:P140_assigned_attribute_to ?__value__ ;
                  ecrm:P16_used_specific_object ?subject .
              }
            }"
          }],

          "http://ontologies.mpiwg-berlin.mpg.de/sphaera/relations/place-is-publishing-place-of-book": [{
            "kind": "resource",
            "queryPattern": "{
              ?subject ^ecrm:P7_took_place_at/^efrbroo:R24i_was_created_through/^ecrm:P128_carries ?__value__ .
              }"
          }],

          "http://ontologies.mpiwg-berlin.mpg.de/sphaera/relations/language-is-language-of-book": [{
            "kind": "resource",
            "queryPattern": "{
              ?subject ^ecrm:P72_has_language/^ecrm:P165_incorporates/^ecrm:P128_carries ?__value__ .
            }"
          }],
          "http://ontologies.mpiwg-berlin.mpg.de/sphaera/relations/language-is-used-to-translate-part": [{
            "kind": "resource",
            "queryPattern": "{
              ?translation ecrm:P72_has_language ?subject .
              ?translation a sphaera:Translation ;
                efrbroo:R3i_realises/^efrbroo:R40i_is_representative_expression_for  ?__value__ .

            }"
          }]
        }'



      >

      <semantic-search-query-builder

        relation-view-template='{{label}}&nbsp;<small>{{description}}</small>'
        resource-selector='{
          "query": "
            prefix bds: <http://www.bigdata.com/rdf/search#>
            prefix wdt: <http://www.wikidata.org/prop/direct/>

            SELECT DISTINCT ?suggestion ?label WHERE {
              ?label bds:search ?__token__ ;
              bds:relevance ?score ;
              bds:minRelevance \"0.2\" ;
              bds:matchAllTerms \"true\"  .

              ?suggestion rdfs:label|ecrm:P3_has_note|ecrm:P1_is_identified_by ?label .
              FILTER(EXISTS { ?suggestion a ?__range__ . }) .
            } ORDER BY DESC(?score)  LIMIT 30
          ",
          "suggestionTupleTemplate": "<span title=\"{{label.value}}\">{{label.value}}</span>",
          "noSuggestionsTemplate": "<div class=\"suggestion-no-matches\">no matches found</div>"
        }'
      >
      </semantic-search-query-builder>

      <div data-flex-layout="row stretch-stretch">
        <div data-flex-self="size-1of3" style="flex: 0 0 20px;">

          <semantic-search-facet
            relations='{
              "query": "
                SELECT ?__relation__ WHERE {} ORDER BY ?__relation__
              ",
              "tupleTemplate": "
                <div class=\"facet-relation__content\" title=\"{{$relation.label.value}}\">
                 {{$relation.label.value}}
                 <img class=\"facet__relation__content__category-image\" src=\"{{$range.thumbnail.value}}\"/>
               </div>
              "
           }'

           value-relations='{
               "<http://ontologies.mpiwg-berlin.mpg.de/sphaera/relations/book-contains-original-part>" : {
                 "kind" : "resource",
                 "valuesQuery" : "
                   SELECT ?value ?label (COUNT(DISTINCT $subject) AS ?count) WHERE {
                     ?subject ecrm:P128_carries/ecrm:P165_incorporates/ecrm:P148_has_component ?value .
                     ?value a sphaera:Part ;
                       ecrm:P3_has_note ?label .
                   }
                   GROUP BY ?value ?label
                   ORDER BY ?label
                 ",
                 "tupleTemplate": "{{label.value}} ({{count.value}})"
               },
                 "<http://ontologies.mpiwg-berlin.mpg.de/sphaera/relations/book-contains-fragment-of-original-part>" : {
                   "kind" : "resource",
                   "valuesQuery" : "
                     SELECT ?value ?label (COUNT(DISTINCT $subject) AS ?count) WHERE {
                       ?subject ecrm:P128_carries/ecrm:P165_incorporates/ecrm:P148_has_component/efrbroo:R15i_is_fragment_of? ?value .
                       ?value a sphaera:Part ;
                         ecrm:P3_has_note ?label .
                     }
                     GROUP BY ?value ?label
                     ORDER BY ?label
                   ",
                   "tupleTemplate": "{{label.value}} ({{count.value}})"
                 },
                "<http://ontologies.mpiwg-berlin.mpg.de/sphaera/relations/book-contains-original-or-adapted-part>" : {
                  "kind" : "resource",
                  "valuesQuery" : "
                    SELECT ?value ?label (COUNT(DISTINCT $subject) AS ?count) WHERE {
                      ?subject sphaera:book-contains-original-or-adapted-part ?value .

                      ?value a sphaera:Part ;
                        ecrm:P3_has_note ?label .
                    }
                    GROUP BY ?value ?label
                    ORDER BY ?label
                  ",
                  "tupleTemplate": "{{label.value}} ({{count.value}})"
                },
               "<http://ontologies.mpiwg-berlin.mpg.de/sphaera/relations/book-does-not-contain-original-or-adapted-part>" : {
                 "kind" : "resource",
                 "valuesQuery" : "
                   SELECT ?value ?label (COUNT(DISTINCT $subject) AS ?count) WHERE {
                     ?subject a ?value .
                     BIND(\"Negative facets are not supported\" as ?label)
                   }
                   GROUP BY ?value ?label
                   ORDER BY ?label
                 ",
                 "tupleTemplate": "{{label.value}} ({{count.value}})"
               },
               "<http://ontologies.mpiwg-berlin.mpg.de/sphaera/relations/book-contains-adaption>" : {
                 "kind" : "resource",
                 "valuesQuery" : "
                   SELECT ?value ?label (COUNT(DISTINCT $subject) AS ?count) WHERE {
                     ?subject ecrm:P128_carries/ecrm:P165_incorporates/ecrm:P148_has_component/[[> :queryPart]] ?value .
                     ?value a sphaera:Part_Adaption ;
                      ecrm:P3_has_note ?label .
                   }
                   GROUP BY ?value ?label
                   ORDER BY ?label
                 ",
                 "tupleTemplate": "{{label.value}} ({{count.value}})"
               },
                "<http://ontologies.mpiwg-berlin.mpg.de/sphaera/relations/book-authored-by-person>" : {
                  "kind" : "resource",
                  "valuesQuery" : "
                    SELECT ?value ?label (COUNT(DISTINCT $subject) AS ?count) WHERE {
                      ?subject ecrm:P128_carries/ecrm:P165_incorporates/efrbroo:R17i_was_created_by/ecrm:PC01_is_domain_of ?carried_out_by .
                      ?carried_out_by ecrm:P14.1_in_the_role_of sphRole:author ;
                        ecrm:PC02_has_range ?value .
                      ?value ecrm:P48_has_preferred_identifier/ecrm:P3_has_note ?label .
                    }
                    GROUP BY ?value ?label
                    ORDER BY ?label
                  ",
                  "tupleTemplate": "{{label.value}} ({{count.value}})"
                },
                "<http://ontologies.mpiwg-berlin.mpg.de/sphaera/relations/book-published-by-person>" : {
                  "kind" : "resource" ,
                  "valuesQuery" : "
                    SELECT ?value ?label (COUNT(DISTINCT $subject) AS ?count) WHERE {
                      ?subject ecrm:P128_carries/efrbroo:R24i_was_created_through/ecrm:PC01_is_domain_of/ecrm:PC02_has_range ?value .
                      ?value ecrm:P48_has_preferred_identifier/ecrm:P3_has_note ?label .
                    }
                    GROUP BY ?value ?label
                    ORDER BY ?label
                  ",
                  "tupleTemplate": "{{label.value}} ({{count.value}})"
                },
                "<http://ontologies.mpiwg-berlin.mpg.de/sphaera/relations/book-printed-by-person>" : {
                  "kind" : "resource" ,
                  "valuesQuery" : "
                    SELECT ?value ?label (COUNT(DISTINCT $subject) AS ?count) WHERE {
                      ?subject efrbroo:R28i_was_produced_by/ecrm:PC01_is_domain_of/ecrm:PC02_has_range ?value .
                      ?value ecrm:P48_has_preferred_identifier/ecrm:P3_has_note ?label .
                    }
                    GROUP BY ?value ?label
                    ORDER BY ?label
                  ",
                  "tupleTemplate": "{{label.value}} ({{count.value}})"
                },
                "<http://ontologies.mpiwg-berlin.mpg.de/sphaera/relations/book-translated-by-person>" : {
                  "kind" : "resource" ,
                  "valuesQuery" : "
                    SELECT ?value ?label (COUNT(DISTINCT $subject) AS ?count) WHERE {
                      ?subject ecrm:P128_carries/ecrm:P165_incorporates/efrbroo:R17i_was_created_by/ecrm:PC01_is_domain_of ?carried_out_by .
                      ?carried_out_by ecrm:P14.1_in_the_role_of sphRole:translator ;
                        ecrm:PC02_has_range ?value .
                      ?value ecrm:P48_has_preferred_identifier/ecrm:P3_has_note ?label .
                    }
                    GROUP BY ?value ?label
                    ORDER BY ?label
                  ",
                  "tupleTemplate": "{{label.value}} ({{count.value}})"
                },
                "<http://ontologies.mpiwg-berlin.mpg.de/sphaera/relations/book-created-by-person>" : {
                  "kind" : "resource" ,
                  "valuesQuery" : "
                    SELECT ?value ?label (COUNT(DISTINCT $subject) AS ?count) WHERE {
                      {
                        ?value ^ecrm:PC02_has_range ?carried_out_by ;
                          ecrm:P48_has_preferred_identifier/ecrm:P3_has_note ?label .
                        ?carried_out_by ecrm:P14.1_in_the_role_of sphRole:author;
                          ^ecrm:PC01_is_domain_of/^efrbroo:R17i_was_created_by/^ecrm:P165_incorporates/^ecrm:P128_carries ?subject .
                      } UNION {
                        ?value ^ecrm:PC02_has_range ?carried_out_by ;
                          ecrm:P48_has_preferred_identifier/ecrm:P3_has_note ?label .
                        ?carried_out_by ecrm:P14.1_in_the_role_of sphRole:translator;
                          ^ecrm:PC01_is_domain_of/^efrbroo:R17i_was_created_by/^ecrm:P165_incorporates/^ecrm:P128_carries ?subject .
                      } UNION {
                        ?value ^ecrm:PC02_has_range/^ecrm:PC01_is_domain_of/^efrbroo:R24i_was_created_through/^ecrm:P128_carries ?subject ;
                            ecrm:P48_has_preferred_identifier/ecrm:P3_has_note ?label .
                      } UNION {
                        ?value ^ecrm:PC02_has_range/^ecrm:PC01_is_domain_of/^efrbroo:R28i_was_produced_by ?subject ;
                          ecrm:P48_has_preferred_identifier/ecrm:P3_has_note ?label .
                      }
                    }
                    GROUP BY ?value ?label
                    ORDER BY ?label
                  ",
                  "tupleTemplate": "{{label.value}} ({{count.value}})"
                },
                "<http://ontologies.mpiwg-berlin.mpg.de/sphaera/relations/book-published-at-place>": {
                  "kind": "resource",
                  "valuesQuery": "
                    SELECT ?value ?label (COUNT(DISTINCT $subject) AS ?count) {
                      ?subject  efrbroo:R7_is_example_of /^efrbroo:CLR6i_should_be_carried_by/efrbroo:R24i_was_created_through/ecrm:P7_took_place_at ?value .
                      ?value ecrm:P3_has_note	 ?label .
                    }
                    GROUP BY ?value ?label
                    ORDER BY ?label
                  ",
                  "tupleTemplate": "{{label.value}} ({{count.value}})"
                },
                "<http://ontologies.mpiwg-berlin.mpg.de/sphaera/relations/book-not-published-at-place>": {
                  "kind": "resource",
                  "valuesQuery": "
                    SELECT ?value ?label (COUNT(DISTINCT $subject) AS ?count) {
                      ?subject a ?value .
                      BIND(\"Negative facets are not supported\" as ?label)
                    }
                    GROUP BY ?value ?label
                    ORDER BY ?label
                  ",
                  "tupleTemplate": "{{label.value}} ({{count.value}})"
                },
              "<http://ontologies.mpiwg-berlin.mpg.de/sphaera/relations/book-published-between-time>": {
                  "kind": "date-range",
                  "valuesQuery": "
                    SELECT ?dateBeginValue ?dateEndValue WHERE {
                     ?subject  ecrm:P128_carries/efrbroo:R24i_was_created_through/ecrm:P4_has_time-span ?date .
                     ?date ecrm:P82a_begin_of_the_beginning ?begin ;
                           ecrm:P82b_end_of_the_end ?end .
                     BIND(?begin AS ?dateEndValue) .
                     BIND(?end AS ?dateBeginValue) .
                   }"
              },
              "<http://ontologies.mpiwg-berlin.mpg.de/sphaera/relations/book-is-in-language>": {
                "kind": "resource",
                "valuesQuery": "
                  SELECT ?value ?label (COUNT(DISTINCT $subject) AS ?count) {
                    ?subject ecrm:P128_carries/ecrm:P165_incorporates/ecrm:P72_has_language ?value .
                    ?value ecrm:P3_has_note	?label .
                  }
                  GROUP BY ?value ?label
                  ORDER BY ?label
                ",
                "tupleTemplate": "{{label.value}} ({{count.value}})"
              },

              "<http://ontologies.mpiwg-berlin.mpg.de/sphaera/relations/part-contained-in-book>": {
                "kind": "resource",
                "valuesQuery": "
                  SELECT ?value ?label (COUNT(DISTINCT $subject) AS ?count) {
                    ?subject a sphaera:Part .
                    ?value ecrm:P3_has_note ?label ;
                     (ecrm:P128_carries/ecrm:P165_incorporates)/^ecrm:P140_assigned_attribute_to ?attribute_assignment .
                    ?attribute_assignment ecrm:P141_assigned/[[> :queryPart]] ?subject .
                    ?attribute_assignment ecrm:P141_assigned  ?assigned_part .
                    ?assigned_part (efrbroo:R15i_is_fragment_of)?/ecrm:P2_has_type ?part_type .
                    VALUES ?part_type { sphType:translation sphType:originalPart sphType:annotatedPart }
                  }
                  GROUP BY ?value ?label
                  ORDER BY DESC(?count)
                ",
                "tupleTemplate": "{{label.value}} ({{count.value}})"
              },
              "<http://ontologies.mpiwg-berlin.mpg.de/sphaera/relations/part-authored-by-person>": {
                "kind": "resource",
                "valuesQuery": "
                  SELECT ?value ?label (COUNT(DISTINCT $subject) AS ?count) {
                    ?subject a sphaera:Part;
                      efrbroo:R17i_was_created_by/ecrm:PC01_is_domain_of/ecrm:PC02_has_range ?value .
                    ?value ecrm:P48_has_preferred_identifier/ecrm:P3_has_note ?label .
                  }
                  GROUP BY ?value ?label
                  ORDER BY ?label
                ",
                "tupleTemplate": "{{label.value}} ({{count.value}})"
              },

              "<http://ontologies.mpiwg-berlin.mpg.de/sphaera/relations/adaption-contained-in-book>": {
                "kind": "resource",
                "valuesQuery": "
                  SELECT ?value ?label (COUNT(DISTINCT $subject) AS ?count) {
                    ?subject a sphaera:Part_Adaption .
                    ?value ecrm:P128_carries/ecrm:P165_incorporates/ecrm:P148_has_component/[[> :queryPart]] ?subject ;
                      ecrm:P3_has_note ?label .
                  }
                  GROUP BY ?value ?label
                  ORDER BY DESC(?count)
                ",
                "tupleTemplate": "{{label.value}} ({{count.value}})"
              },
              "<http://ontologies.mpiwg-berlin.mpg.de/sphaera/relations/adaption-annotates-part>": {
                "kind": "resource",
                "valuesQuery": "
                  SELECT ?value ?label (COUNT(DISTINCT $subject) AS ?count) {
                    ?subject a sphaera:Part_Adaption ;
                      ecrm:P165_incorporates+ ?value .
                    ?value ecrm:P3_has_note ?label .
                  }
                  GROUP BY ?value ?label
                  ORDER BY ?label
                ",
                "tupleTemplate": "{{label.value}} ({{count.value}})"
              },
              "<http://ontologies.mpiwg-berlin.mpg.de/sphaera/relations/adaption-annotates-adaption-of-part>": {
                "kind": "resource",
                "valuesQuery": "
                  SELECT ?value ?label (COUNT(DISTINCT $subject) AS ?count) {
                    ?subject ecrm:P165_incorporates+ ?incorporated_adaption .
                    ?incorporated_adaption a ?type ;
                      (efrbroo:R3i_realises/^efrbroo:R40i_is_representative_expression_for)* ?value.

                    ?value ecrm:P3_has_note ?label .

                    VALUES ( ?type ) {
                      ( sphaera:Part )
                      ( sphaera:Part_Adaption )
                    }
                  }
                  GROUP BY ?value ?label
                  ORDER BY ?label
                ",
                "tupleTemplate": "{{label.value}} ({{count.value}})"
              },
              "<http://ontologies.mpiwg-berlin.mpg.de/sphaera/relations/adaption-translates-part>": {
                "kind": "resource",
                "valuesQuery": "
                  SELECT ?value ?label (COUNT(DISTINCT $subject) AS ?count) {
                    ?subject a sphaera:Part_Adaption ;
                      ecrm:P165_incorporates/efrbroo:R3i_realises/^efrbroo:R40i_is_representative_expression_for ?value .
                    ?value a sphaera:Part ;
                      ecrm:P3_has_note ?label .
                  }
                  GROUP BY ?value ?label
                  ORDER BY ?label
                ",
                "tupleTemplate": "{{label.value}} ({{count.value}})"
              },
              "<http://ontologies.mpiwg-berlin.mpg.de/sphaera/relations/adaption-annotates-adaption>": {
                "kind": "resource",
                "valuesQuery": "
                  SELECT ?value ?label (COUNT(DISTINCT $subject) AS ?count) {
                    ?subject a sphaera:Part_Adaption ;
                      ecrm:P165_incorporates ?value .
                    ?value a sphaera:Part_Adaption;
                      ecrm:P3_has_note ?label .
                  }
                  GROUP BY ?value ?label
                  ORDER BY ?label
                ",
                "tupleTemplate": "{{label.value}} ({{count.value}})"
              },
              "<http://ontologies.mpiwg-berlin.mpg.de/sphaera/relations/adaption-translates-adaption>": {
                "kind": "resource",
                "valuesQuery": "
                  SELECT ?value ?label (COUNT(DISTINCT $subject) AS ?count) {
                    ?subject a sphaera:Part_Adaption ;
                      ecrm:P165_incorporates/efrbroo:R3i_realises/^efrbroo:R40i_is_representative_expression_for ?value .
                    ?value a sphaera:Part_Adaption;
                      ecrm:P3_has_note ?label .
                  }
                  GROUP BY ?value ?label
                  ORDER BY ?label
                ",
                "tupleTemplate": "{{label.value}} ({{count.value}})"
              },
              "<http://ontologies.mpiwg-berlin.mpg.de/sphaera/relations/adaption-has-ancestor-adaption>": {
                "kind": "resource",
                "valuesQuery": "
                  SELECT ?value ?label (COUNT(DISTINCT $subject) AS ?count) {
                    ?subject a sphaera:Part_Adaption ;
                      ecrm:P165_incorporates/efrbroo:R3i_realises/^efrbroo:R40i_is_representative_expression_for ?value .
                    ?value a sphaera:Part_Adaption;
                      ecrm:P3_has_note ?label .
                  }
                  GROUP BY ?value ?label
                  ORDER BY ?label
                ",
                "tupleTemplate": "{{label.value}} ({{count.value}})"
              },
              "<http://ontologies.mpiwg-berlin.mpg.de/sphaera/relations/adaption-created-by-person>": {
                "kind": "resource",
                "valuesQuery": "
                  SELECT ?value ?label (COUNT(DISTINCT $subject) AS ?count) {
                    ?subject a sphaera:Part_Adaption;
                      efrbroo:R17i_was_created_by/ecrm:PC01_is_domain_of/ecrm:PC02_has_range ?value .
                    ?value ecrm:P48_has_preferred_identifier/ecrm:P3_has_note ?label .
                  }
                  GROUP BY ?value ?label
                  ORDER BY ?label
                ",
                "tupleTemplate": "{{label.value}} ({{count.value}})"
              },

              "<http://ontologies.mpiwg-berlin.mpg.de/sphaera/relations/person-author-of-book>": {
                "kind": "resource",
                "valuesQuery": "
                  SELECT ?value ?label (COUNT(DISTINCT $subject) AS ?count) {
                    ?subject ^ecrm:PC02_has_range ?carried_out_by .
                    ?carried_out_by ecrm:P14.1_in_the_role_of sphRole:author;
                      ^ecrm:PC01_is_domain_of/^efrbroo:R17i_was_created_by/^ecrm:P165_incorporates/^ecrm:P128_carries ?value .
                    ?value ecrm:P3_has_note ?label .
                  }
                  GROUP BY ?value ?label
                  ORDER BY ?label
                ",
                "tupleTemplate": "{{label.value}} ({{count.value}})"
              },
              "<http://ontologies.mpiwg-berlin.mpg.de/sphaera/relations/person-translator-of-book>": {
                "kind": "resource",
                "valuesQuery": "
                  SELECT ?value ?label (COUNT(DISTINCT $subject) AS ?count) {
                    ?subject ^ecrm:PC02_has_range ?carried_out_by .
                    ?carried_out_by ecrm:P14.1_in_the_role_of sphRole:translator;
                      ^ecrm:PC01_is_domain_of/^efrbroo:R17i_was_created_by/^ecrm:P165_incorporates/^ecrm:P128_carries ?value .
                    ?value ecrm:P3_has_note ?label .
                  }
                  GROUP BY ?value ?label
                  ORDER BY ?label
                ",
                "tupleTemplate": "{{label.value}} ({{count.value}})"
              },
              "<http://ontologies.mpiwg-berlin.mpg.de/sphaera/relations/person-publisher-of-book>": {
                "kind": "resource",
                "valuesQuery": "
                  SELECT ?value ?label (COUNT(DISTINCT $subject) AS ?count) {
                    ?subject ^ecrm:PC02_has_range/^ecrm:PC01_is_domain_of/^efrbroo:R24i_was_created_through/^ecrm:P128_carries ?value .
                    ?value ecrm:P3_has_note ?label .
                  }
                  GROUP BY ?value ?label
                  ORDER BY ?label
                ",
                "tupleTemplate": "{{label.value}} ({{count.value}})"
              },
              "<http://ontologies.mpiwg-berlin.mpg.de/sphaera/relations/person-printer-of-book>": {
                "kind": "resource",
                "valuesQuery": "
                  SELECT ?value ?label (COUNT(DISTINCT $subject) AS ?count) {
                    ?subject ^ecrm:PC02_has_range ?/^ecrm:PC01_is_domain_of ?carrier_production_event .
                    ?carrier_production_event a efrbroo:F32_Carrier_Production_Event ;
                      ^efrbroo:R28i_was_produced_by ?value .
                    ?value ecrm:P3_has_note ?label .
                  }
                  GROUP BY ?value ?label
                  ORDER BY ?label
                ",
                "tupleTemplate": "{{label.value}} ({{count.value}})"
              },
              "<http://ontologies.mpiwg-berlin.mpg.de/sphaera/relations/person-creator-of-book>": {
                "kind": "resource",
                "valuesQuery": "
                  SELECT ?value ?label (COUNT(DISTINCT $subject) AS ?count) {
                    {
                      ?subject ^ecrm:PC02_has_range ?carried_out_by .
                      ?carried_out_by ecrm:P14.1_in_the_role_of sphRole:author;
                        ^ecrm:PC01_is_domain_of/^efrbroo:R17i_was_created_by/^ecrm:P165_incorporates/^ecrm:P128_carries ?value .
                    } UNION {
                      ?subject ^ecrm:PC02_has_range ?carried_out_by .
                      ?carried_out_by ecrm:P14.1_in_the_role_of sphRole:translator;
                        ^ecrm:PC01_is_domain_of/^efrbroo:R17i_was_created_by/^ecrm:P165_incorporates/^ecrm:P128_carries ?value .
                    } UNION {
                      ?subject ^ecrm:PC02_has_range/^ecrm:PC01_is_domain_of/^efrbroo:R24i_was_created_through/^ecrm:P128_carries ?value .
                    } UNION {
                      ?subject ^ecrm:PC02_has_range/^ecrm:PC01_is_domain_of/^efrbroo:R28i_was_produced_by ?value .
                    }
                    ?value ecrm:P3_has_note ?label .

                  }
                  GROUP BY ?value ?label
                  ORDER BY ?label
                ",
                "tupleTemplate": "{{label.value}} ({{count.value}})"
              },
              "<http://ontologies.mpiwg-berlin.mpg.de/sphaera/relations/person-co-author-person>": {
                "kind": "resource",
                "valuesQuery": "
                  SELECT ?value ?label (COUNT(DISTINCT $subject) AS ?count) {
                    {
                      ?subject ^ecrm:PC02_has_range/^ecrm:PC01_is_domain_of ?expression_creation .
                      ?expression_creation a efrbroo:F28_Expression_Creation ;
                        ecrm:PC01_is_domain_of/ecrm:PC02_has_range ?value .
                    } UNION {
                      ?subject ^ecrm:PC02_has_range/^ecrm:PC01_is_domain_of/^efrbroo:R17i_was_created_by/^ecrm:P148_has_component/efrbroo:R17i_was_created_by/ecrm:PC01_is_domain_of/ecrm:PC02_has_range ?value
                    } UNION {
                      ?subject ^ecrm:PC02_has_range/^ecrm:PC01_is_domain_of/^efrbroo:R17i_was_created_by/ecrm:P148_has_component/efrbroo:R17i_was_created_by/ecrm:PC01_is_domain_of/ecrm:PC02_has_range ?value
                    } UNION {
                      ?subject ^ecrm:PC02_has_range/^ecrm:PC01_is_domain_of/^efrbroo:R17i_was_created_by/^ecrm:P148_has_component/(^ecrm:P165_incorporates|^efrbroo:R15i_is_fragment_of)/efrbroo:R17i_was_created_by/ecrm:PC01_is_domain_of/ecrm:PC02_has_range ?value
                    } UNION {
                      ?subject ^ecrm:PC02_has_range/^ecrm:PC01_is_domain_of/^efrbroo:R17i_was_created_by/ecrm:P148_has_component/(^ecrm:P165_incorporates|^efrbroo:R15i_is_fragment_of)/efrbroo:R17i_was_created_by/ecrm:PC01_is_domain_of/ecrm:PC02_has_range ?value
                    }
                    ?value ecrm:P48_has_preferred_identifier/ecrm:P3_has_note ?label .
                  }
                  GROUP BY ?value ?label
                  ORDER BY ?label
                ",
                "tupleTemplate": "{{label.value}} ({{count.value}})"
              },

              "http://ontologies.mpiwg-berlin.mpg.de/sphaera/relations/person-related-to-person": [{
                "kind": "resource",
                "valuesQuery": "{
                  SELECT ?value ?label (COUNT(DISTINCT $subject) AS ?count) {
                    {
                      ?attribute_assignment ecrm:P2_has_type sphType:relationshipAssignment ;
                        ecrm:P140_assigned_attribute_to ?subject ;
                        ecrm:P16_used_specific_object ?value .
                      ?value ecrm:P48_has_preferred_identifier/ecrm:P3_has_note ?label .
                    } UNION {
                      ?attribute_assignment ecrm:P2_has_type sphType:relationshipAssignment ;
                        ecrm:P140_assigned_attribute_to ?value ;
                        ecrm:P16_used_specific_object ?subject .
                      ?value ecrm:P48_has_preferred_identifier/ecrm:P3_has_note ?label .
                    }
                  }
                  GROUP BY ?value ?label
                  ORDER BY ?label
                  "
              }],
              "<http://ontologies.mpiwg-berlin.mpg.de/sphaera/relations/person-author-of-part>": {
                "kind": "resource",
                "valuesQuery": "
                  SELECT ?value ?label (COUNT(DISTINCT $subject) AS ?count) {
                    ?subject ^ecrm:PC02_has_range/^ecrm:PC01_is_domain_of/^efrbroo:R17i_was_created_by ?value .
                    ?value a sphaera:Part ;
                      ecrm:P3_has_note ?label .
                  }
                  GROUP BY ?value ?label
                  ORDER BY ?label
                ",
                "tupleTemplate": "{{label.value}} ({{count.value}})"
              },
              "<http://ontologies.mpiwg-berlin.mpg.de/sphaera/relations/person-creator-of-adaption>": {
                "kind": "resource",
                "valuesQuery": "
                  SELECT ?value ?label (COUNT(DISTINCT $subject) AS ?count) {
                    ?subject ^ecrm:PC02_has_range/^ecrm:PC01_is_domain_of/^efrbroo:R17i_was_created_by ?value .
                    ?value a sphaera:Part_Adaption ;
                      ecrm:P3_has_note ?label .
                  }
                  GROUP BY ?value ?label
                  ORDER BY ?label
                ",
                "tupleTemplate": "{{label.value}} ({{count.value}})"
              },

              "<http://ontologies.mpiwg-berlin.mpg.de/sphaera/relations/place-is-publishing-place-of-book>": {
                "kind": "resource",
                "valuesQuery": "
                  SELECT ?value ?label (COUNT(DISTINCT $subject) AS ?count) {
                    ?subject ^ecrm:P7_took_place_at/^efrbroo:R24i_was_created_through/^ecrm:P128_carries ?value .
                    ?value ecrm:P3_has_note ?label .
                  }
                  GROUP BY ?value ?label
                  ORDER BY ?label
                ",
                "tupleTemplate": "{{label.value}} ({{count.value}})"
              }
            }'
          >
          </semantic-search-facet>

        </div>

        <semantic-search-result-holder>
          <div data-flex-self="md-full" class="content">

            <!-- you can instantiate as many search results as you like, it expects a single child with query attribute  -->
            <!-- you can also nest it in, for example, tabs and add another semantic-search-result with semantic-table with grid layout and images in the second tab -->

            <semantic-search-result>
              <mp-sparql-result-counts
                query="SELECT DISTINCT * {}"
                template='{{#if hasLimit}} <bs-alert bs-style="warning"> Showing {{numberOfResults}} of {{totalNumberOfResults}} matches. <strong>Please, refine your search.</strong> </bs-alert> {{else}} <p>Found <em>{{numberOfResults}}</em> results</p>{{/if}}'>
              </mp-sparql-result-counts>
            </semantic-search-result>

            <semantic-search-result class="books">

              [[> :tableBooks]]

            </semantic-search-result>

            <semantic-search-result class="parts">

              [[> :tableParts]]

            </semantic-search-result>

            <semantic-search-result class="adaptions">

              [[> :tableAdaptions]]

            </semantic-search-result>
            <semantic-search-result class="persons">

              [[> :tablePersons]]

            </semantic-search-result>

            <semantic-search-result class="places">

              [[> :tablePlaces]]

            </semantic-search-result>

            <semantic-search-result class="languages">

              [[> :tableLanguages]]

            </semantic-search-result>

            <!--
            similar to visualization, download can be placed in a semantic-search-result as that you also can have multiple instantiations of different downloads
            You can modify the ouput by modifying the query
            i.e. the select query as specified in the query attribute will be wrapped around the main results as produced by the structured search
            -->

            <semantic-search-result class="csvDownload">

              [[> :csvDownload]]

            </semantic-search-result>

          </div>
        </semantic-search-result-holder>
      </div>

    </semantic-search>

  </bs-col>
[[else]]
  [[> :header]]
    <div class="alert alert-warning">
      <p>You need to be logged in to use the advanced search<p>
    </div>
  [[> :footer]]
[[/if]]
